#include <bits/stdc++.h>

using namespace std;

string s;

int modulo = 10e8 + 7;

int main()
{
    multiset<char> str;

    int n, rez = 1;

    cin >> n;

    cin >> s;
 
    str.insert(s[0]);

    for(int i = 1; i < n; i++)
    {
        if(s[i] >= s[i - 1])
        {
            str.insert(s[i]);
        }
    }

    string alphabet = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";

    for(int i = 0; i < alphabet.size(); i++)
    {
        rez *= str.count(alphabet[i]);
        rez = rez % modulo;
    }

    cout << rez;

    return 0;
}